OpenVZ Forum


Home » Mailing lists » Users » yum error trying to update vzctl
yum error trying to update vzctl [message #46764] Mon, 11 June 2012 12:32 Go to next message
Rene Dokbua is currently offline  Rene Dokbua
Messages: 24
Registered: May 2012
Junior Member
From: *parallels.com
Trying to run a 'yum update' I got some strange yum error. I narrowed it
down to being caused by vzctl. It installed fine on another very similar
server so it seems something has gone belly up on this server, not sure
what though.

During the failure it suggests running "yum --enablerepo=openvz-utils clean
metadata" so I start by doing that:

# yum --enablerepo=openvz-utils clean metadata
Loaded plugins: presto
Cleaning repos: openvz-kernel-rhel6 openvz-utils rpmforge sl sl-security
15 metadata files removed
5 sqlite files removed
0 metadata files removed
# yum update vzctl
Loaded plugins: presto
openvz-kernel-rhel6
| 951 B 00:00
openvz-kernel-rhel6/primary
| 2.6 kB 00:00
openvz-kernel-rhel6
8/8
openvz-utils
| 951 B 00:00
openvz-utils/primary
| 3.7 kB 00:00
openvz-utils
14/14
rpmforge
| 1.9 kB 00:00
rpmforge/primary_db
| 2.5 MB 00:03
sl
| 3.2 kB 00:00
sl/primary_db
| 4.0 MB 00:00
sl-security
| 1.9 kB 00:00
sl-security/primary_db
| 6.4 MB 00:00
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package vzctl.x86_64 0:3.2.1-1 will be updated
---> Package vzctl.x86_64 0:3.3-1 will be an update
--> Processing Dependency: vzctl-lib = 3.3-1 for package: vzctl-3.3-1.x86_64
--> Processing Dependency: ploop > 1.2-1 for package: vzctl-3.3-1.x86_64
--> Processing Dependency: libvzctl-3.3.so()(64bit) for package:
vzctl-3.3-1.x86_64
--> Running transaction check
---> Package ploop.x86_64 0:1.4-1 will be installed
--> Processing Dependency: ploop-lib = 1.4 for package: ploop-1.4-1.x86_64
--> Processing Dependency: parted for package: ploop-1.4-1.x86_64
---> Package vzctl-lib.x86_64 0:3.2.1-1 will be updated
---> Package vzctl-lib.x86_64 0:3.3-1 will be an update
--> Running transaction check
---> Package parted.x86_64 0:2.1-13.el6 will be installed
---> Package ploop-lib.x86_64 0:1.2-1 will be updated
---> Package ploop-lib.x86_64 0:1.4-1 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

============================================================ ============================================================
Package Arch Version
Repository Size
============================================================ ============================================================
Updating:
vzctl x86_64 3.3-1
openvz-utils 228 k
Installing for dependencies:
parted x86_64 2.1-13.el6
sl 603 k
ploop x86_64 1.4-1
openvz-utils 34 k
Updating for dependencies:
ploop-lib x86_64 1.4-1
openvz-utils 96 k
vzctl-lib x86_64 3.3-1
openvz-utils 109 k

Transaction Summary
============================================================ ============================================================
Install 2 Package(s)
Upgrade 3 Package(s)

Total size: 1.0 M
Total download size: 337 k
Is this ok [y/N]: y
Downloading Packages:
Setting up and reading Presto delta metadata
Processing delta metadata
Package(s) data still to download: 337 k
(1/2): vzctl-3.3-1.x86_64.rpm
| 228 kB 00:00
http://download.openvz.org/current/vzctl-3.3-1.x86_64.rpm: [Errno -1]
Package does not match intended download. Suggestion: run yum
--enablerepo=openvz-utils clean metadata
Trying other mirror.
(1/2): vzctl-3.3-1.x86_64.rpm
| 228 kB 00:00
http://openvz-mirror1.rapidvps.com/current/vzctl-3.3-1.x86_6 4.rpm: [Errno
-1] Package does not match intended download. Suggestion: run yum
--enablerepo=openvz-utils clean metadata
Trying other mirror.
(1/2): vzctl-3.3-1.x86_64.rpm
| 228 kB 00:01
http://ftp.iij.ad.jp/pub/openvz/current/vzctl-3.3-1.x86_64.r pm: [Errno -1]
Package does not match intended download. Suggestion: run yum
--enablerepo=openvz-utils clean metadata
Trying other mirror.

After this it just keeps looping through mirrors.

What does this error mean? This server runs Centos 6-64 so it should be
the correct rpm.
Re: yum error trying to update vzctl [message #46779 is a reply to message #46764] Tue, 12 June 2012 15:32 Go to previous messageGo to next message
kir is currently offline  kir
Messages: 1645
Registered: August 2005
Location: Moscow, Russia
Senior Member

From: *parallels.com
I have fixed it. Sorry for the trouble, something is wrong with my
upload scripts, will find it out when back from vacation.

On 06/11/2012 04:32 PM, Rene C. wrote:
>
> Trying to run a 'yum update' I got some strange yum error. I narrowed
> it down to being caused by vzctl. It installed fine on another very
> similar server so it seems something has gone belly up on this server,
> not sure what though.
>
> During the failure it suggests running "yum --enablerepo=openvz-utils
> clean metadata" so I start by doing that:
>
> # yum --enablerepo=openvz-utils clean metadata
> Loaded plugins: presto
> Cleaning repos: openvz-kernel-rhel6 openvz-utils rpmforge sl sl-security
> 15 metadata files removed
> 5 sqlite files removed
> 0 metadata files removed
> # yum update vzctl
> Loaded plugins: presto
> openvz-kernel-rhel6
> | 951 B 00:00
> openvz-kernel-rhel6/primary
> | 2.6 kB 00:00
> openvz-kernel-rhel6
> 8/8
> openvz-utils
> | 951 B 00:00
> openvz-utils/primary
> | 3.7 kB 00:00
> openvz-utils
> 14/14
> rpmforge
> | 1.9 kB 00:00
> rpmforge/primary_db
> | 2.5 MB 00:03
> sl
> | 3.2 kB 00:00
> sl/primary_db
> | 4.0 MB 00:00
> sl-security
> | 1.9 kB 00:00
> sl-security/primary_db
> | 6.4 MB 00:00
> Setting up Update Process
> Resolving Dependencies
> --> Running transaction check
> ---> Package vzctl.x86_64 0:3.2.1-1 will be updated
> ---> Package vzctl.x86_64 0:3.3-1 will be an update
> --> Processing Dependency: vzctl-lib = 3.3-1 for package:
> vzctl-3.3-1.x86_64
> --> Processing Dependency: ploop > 1.2-1 for package: vzctl-3.3-1.x86_64
> --> Processing Dependency: libvzctl-3.3.so
> <http://libvzctl-3.3.so>()(64bit) for package: vzctl-3.3-1.x86_64
> --> Running transaction check
> ---> Package ploop.x86_64 0:1.4-1 will be installed
> --> Processing Dependency: ploop-lib = 1.4 for package: ploop-1.4-1.x86_64
> --> Processing Dependency: parted for package: ploop-1.4-1.x86_64
> ---> Package vzctl-lib.x86_64 0:3.2.1-1 will be updated
> ---> Package vzctl-lib.x86_64 0:3.3-1 will be an update
> --> Running transaction check
> ---> Package parted.x86_64 0:2.1-13.el6 will be installed
> ---> Package ploop-lib.x86_64 0:1.2-1 will be updated
> ---> Package ploop-lib.x86_64 0:1.4-1 will be an update
> --> Finished Dependency Resolution
>
> Dependencies Resolved
>
> ============================================================ ============================================================
> Package Arch Version
> Repository Size
> ============================================================ ============================================================
> Updating:
> vzctl x86_64 3.3-1
> openvz-utils 228 k
> Installing for dependencies:
> parted x86_64 2.1-13.el6
> sl 603 k
> ploop x86_64 1.4-1
> openvz-utils 34 k
> Updating for dependencies:
> ploop-lib x86_64 1.4-1
> openvz-utils 96 k
> vzctl-lib x86_64 3.3-1
> openvz-utils 109 k
>
> Transaction Summary
> ============================================================ ============================================================
> Install 2 Package(s)
> Upgrade 3 Package(s)
>
> Total size: 1.0 M
> Total download size: 337 k
> Is this ok [y/N]: y
> Downloading Packages:
> Setting up and reading Presto delta metadata
> Processing delta metadata
> Package(s) data still to download: 337 k
> (1/2): vzctl-3.3-1.x86_64.rpm
> | 228 kB 00:00
> http://download.openvz.org/current/vzctl-3.3-1.x86_64.rpm: [Errno -1]
> Package does not match intended download. Suggestion: run yum
> --enablerepo=openvz-utils clean metadata
> Trying other mirror.
> (1/2): vzctl-3.3-1.x86_64.rpm
> | 228 kB 00:00
> http://openvz-mirror1.rapidvps.com/current/vzctl-3.3-1.x86_6 4.rpm:
> [Errno -1] Package does not match intended download. Suggestion: run
> yum --enablerepo=openvz-utils clean metadata
> Trying other mirror.
> (1/2): vzctl-3.3-1.x86_64.rpm
> | 228 kB 00:01
> http://ftp.iij.ad.jp/pub/openvz/current/vzctl-3.3-1.x86_64.r pm: [Errno
> -1] Package does not match intended download. Suggestion: run yum
> --enablerepo=openvz-utils clean metadata
> Trying other mirror.
>
> After this it just keeps looping through mirrors.
>
> What does this error mean? This server runs Centos 6-64 so it should
> be the correct rpm.
>
>


Kir Kolyshkin
http://static.openvz.org/userbars/openvz-developer.png
Re: yum error trying to update vzctl [message #46782 is a reply to message #46779] Wed, 13 June 2012 04:04 Go to previous message
Rene Dokbua is currently offline  Rene Dokbua
Messages: 24
Registered: May 2012
Junior Member
From: *parallels.com
Yep, it works now. Thanks!

On Tue, Jun 12, 2012 at 10:32 PM, Kir Kolyshkin <kir@openvz.org> wrote:

> I have fixed it. Sorry for the trouble, something is wrong with my upload
> scripts, will find it out when back from vacation.
>
> On 06/11/2012 04:32 PM, Rene C. wrote:
>
>
> Trying to run a 'yum update' I got some strange yum error. I narrowed it
> down to being caused by vzctl. It installed fine on another very similar
> server so it seems something has gone belly up on this server, not sure
> what though.
>
> During the failure it suggests running "yum --enablerepo=openvz-utils
> clean metadata" so I start by doing that:
>
> # yum --enablerepo=openvz-utils clean metadata
> Loaded plugins: presto
> Cleaning repos: openvz-kernel-rhel6 openvz-utils rpmforge sl sl-security
> 15 metadata files removed
> 5 sqlite files removed
> 0 metadata files removed
> # yum update vzctl
> Loaded plugins: presto
> openvz-kernel-rhel6
> | 951 B 00:00
> openvz-kernel-rhel6/primary
> | 2.6 kB 00:00
> openvz-kernel-rhel6
> 8/8
> openvz-utils
> | 951 B 00:00
> openvz-utils/primary
> | 3.7 kB 00:00
> openvz-utils
> 14/14
> rpmforge
> | 1.9 kB 00:00
> rpmforge/primary_db
> | 2.5 MB 00:03
> sl
> | 3.2 kB 00:00
> sl/primary_db
> | 4.0 MB 00:00
> sl-security
> | 1.9 kB 00:00
> sl-security/primary_db
> | 6.4 MB 00:00
> Setting up Update Process
> Resolving Dependencies
> --> Running transaction check
> ---> Package vzctl.x86_64 0:3.2.1-1 will be updated
> ---> Package vzctl.x86_64 0:3.3-1 will be an update
> --> Processing Dependency: vzctl-lib = 3.3-1 for package:
> vzctl-3.3-1.x86_64
> --> Processing Dependency: ploop > 1.2-1 for package: vzctl-3.3-1.x86_64
> --> Processing Dependency: libvzctl-3.3.so()(64bit) for package:
> vzctl-3.3-1.x86_64
> --> Running transaction check
> ---> Package ploop.x86_64 0:1.4-1 will be installed
> --> Processing Dependency: ploop-lib = 1.4 for package: ploop-1.4-1.x86_64
> --> Processing Dependency: parted for package: ploop-1.4-1.x86_64
> ---> Package vzctl-lib.x86_64 0:3.2.1-1 will be updated
> ---> Package vzctl-lib.x86_64 0:3.3-1 will be an update
> --> Running transaction check
> ---> Package parted.x86_64 0:2.1-13.el6 will be installed
> ---> Package ploop-lib.x86_64 0:1.2-1 will be updated
> ---> Package ploop-lib.x86_64 0:1.4-1 will be an update
> --> Finished Dependency Resolution
>
> Dependencies Resolved
>
>
> ============================================================ ============================================================
> Package Arch Version
> Repository Size
>
> ============================================================ ============================================================
> Updating:
> vzctl x86_64 3.3-1
> openvz-utils 228 k
> Installing for dependencies:
> parted x86_64 2.1-13.el6
> sl 603 k
> ploop x86_64 1.4-1
> openvz-utils 34 k
> Updating for dependencies:
> ploop-lib x86_64 1.4-1
> openvz-utils 96 k
> vzctl-lib x86_64 3.3-1
> openvz-utils 109 k
>
> Transaction Summary
>
> ============================================================ ============================================================
> Install 2 Package(s)
> Upgrade 3 Package(s)
>
> Total size: 1.0 M
> Total download size: 337 k
> Is this ok [y/N]: y
> Downloading Packages:
> Setting up and reading Presto delta metadata
> Processing delta metadata
> Package(s) data still to download: 337 k
> (1/2): vzctl-3.3-1.x86_64.rpm
> | 228 kB 00:00
> http://download.openvz.org/current/vzctl-3.3-1.x86_64.rpm: [Errno -1]
> Package does not match intended download. Suggestion: run yum
> --enablerepo=openvz-utils clean metadata
> Trying other mirror.
> (1/2): vzctl-3.3-1.x86_64.rpm
> | 228 kB 00:00
> http://openvz-mirror1.rapidvps.com/current/vzctl-3.3-1.x86_6 4.rpm: [Errno
> -1] Package does not match intended download. Suggestion: run yum
> --enablerepo=openvz-utils clean metadata
> Trying other mirror.
> (1/2): vzctl-3.3-1.x86_64.rpm
> | 228 kB 00:01
> http://ftp.iij.ad.jp/pub/openvz/current/vzctl-3.3-1.x86_64.r pm: [Errno
> -1] Package does not match intended download. Suggestion: run yum
> --enablerepo=openvz-utils clean metadata
> Trying other mirror.
>
> After this it just keeps looping through mirrors.
>
> What does this error mean? This server runs Centos 6-64 so it should be
> the correct rpm.
>
>
>
>
Previous Topic: vzctl 3.2 prerelease to test
Next Topic: loop devices in CT still not allowed ?
Goto Forum:
  


Current Time: Wed Dec 19 11:21:54 GMT 2018